Subject: bug#47202: closed (Re: bug#47202: Guix Pull Error)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Mar 2021 21:17:02 +0000

Your bug report

#47202: Guix Pull Error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47202: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47202
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47202: Guix Pull Error
From: Maxime Devos <[email-masked]>
To: Charles Jackson <[email-masked]>, zimoun <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 17 Mar 2021 22:16:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 2021-03-17 at 19:03 +0000, Charles Jackson via Bug reports for GNU Guix wrote:
> I think the system was broken, and I have since deleted the VM.
>  This is likely not a bug and can probably be dropped.

For what it is worth now the VM has been deleted: the backtrace
is in the HTTP code of the substituter, which has some known
but tricky to identify and fix issues.  The work-around usually
is to run  "guix pull" again.  (Or "guix build", "guix install",
"guix system reconfigure" ...)

So, likely not a broken system, but rather a known issue in guix
that can be worked-around by retrying the command.

In the future, please include the commit of the guix daemon,
as that's were the substitution code is.

Thanks (& closing),
Maxime

Subject: Guix Pull Error
From: Charles Jackson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 17 Mar 2021 01:45:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry about the screen shots, I couldn't copy in the virtual machine.